Skip to main content
Document Operations

Move document to signing stage

<small>Requires an API token with the Document Manager role.</small>

POST
/documents/{document}/stage-transitions/signing

Moves a document to the signing stage in the document workflow and invites the signatories to sign the document.

Requires that the document's stage is currently one of: draft, approved_draft, review or approved_review, and that there are no checkpoints that would block the transition.

Conflict responses

There are a variety of conditions that may cause this request to return a 409 Conflict response, which are not necessarily under the control of the API client that is making the request. Some examples of things that would cause the request to fail in this way include but are not limited to:

  • The document being edited in fynk while the request is sent
  • A mandatory dynamic field not having a value assigned
  • Unresolved proposed changes on the document
  • A signature block not having a signatory assigned to it
  • A signatory not having a signature block assigned to them
  • A party involved in signing not having an entity_name assigned

If one of these conditions occurs, the response's message field will include a short explanation of the issue.

Signature type selection logic

The signature type used for the signing process will be decided using this priority:

  • If the document has a non-null signature_type assigned, this type will be used. The signature_type parameter to this request may be sent, but the request will be rejected if the value sent does not match the document's assigned signature_type.
  • If the document's signature_type is null and the signature_type parameter is sent in this request, that signature type will be used.
  • If the document's signature_type is null and no signature_type parameter is sent, the Default signature type from your fynk account's general settings will be used.

Sequential signing selection logic

Whether sequential signing is used for the signing process will be decided using this priority:

  • If the signature type selected by the logic above is qes or aes_eid, sequential signing is always used. Sending sequential_signing as false in that case will cause the request to be rejected.
  • If the sequential_signing parameter is sent in this request, its value will be used. This does not change the document's own sequential_signing value, only the behaviour of this signing process.
  • If no sequential_signing parameter is sent, the document's sequential_signing value will be used.

When sequential signing is used, invitations are sent in ascending order of each signatory's signing_order. If you need an order other than the one in which the signatories were added, use the Set signing order endpoint before sending this request.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

Body

application/json
messagestring | null

Message to include in the email sent to the document's signatories. This is included in addition to the default email text provided by fynk. If message is not provided, the document's external_signatory_invitation_message will be used

Maximum string length: 65535
sequential_signingboolean | null

If true, signatures will be requested in the order defined by the signatories' signing_order. If this parameter is not sent, the value from the document will be used. Must be true when signature_type is qes or aes_eid

signature_typeenum<string> | null

See note in the request's description

Available options: aes, aes_eid, qes, ses

Response

application/json

DocumentDetailResource

dataobjectrequired